Get Issue Counts

gethttps://app.fossa.com/api/issue_counts

Fetch the daily issue counts based on provided filters.

Query parameters

startstring <date-time>

The start date to pull Issue Overview data for. Defaults to 30 days before the end date.

endstring <date-time>

The start date to pull Issue Overview data for. Defaults to the current date and time.

labels[]integer[]

The project labels to filter Issue Overview data to.

categoryenum

The issue category to filter Issue Overview data to. If no category is chosen, it will fetch data for all issue categories.

licensingvulnerabilityquality
projectIdstring

The specific project ID to filter Issue Overview data to.

teamIdstring | number[]

Filter by one or more team IDs. Providing "null" will return all unassigned projects.

Responses

200Okay
countsobject[]required

An array of daily issue count summaries.

datestring <date-time>
activeinteger
ignoredinteger
remediatedinteger
totalProjectsintegerrequired
licensingobject
typeobject
policy_conflictinteger
policy_flaginteger
unlicensed_dependencyinteger
statusobject
activeinteger
ignoredinteger
remediatedinteger
vulnerabilityobject
typeobject
criticalinteger
highinteger
mediuminteger
lowinteger
unknowninteger
statusobject
activeinteger
ignoredinteger
remediatedinteger
qualityobject
typeobject
outdated_dependencyinteger
blacklisted_dependencyinteger
risk_abandonwareinteger
risk_empty-packageinteger
risk_native-codeinteger
statusobject
activeinteger
ignoredinteger
remediatedinteger
400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/issue_counts
curl --request GET \  --url 'https://app.fossa.com/api/issue_counts' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Query params

startstring

The start date to pull Issue Overview data for. Defaults to 30 days before the end date.

endstring

The start date to pull Issue Overview data for. Defaults to the current date and time.

labels[]array

The project labels to filter Issue Overview data to.

categoryenum

The issue category to filter Issue Overview data to. If no category is chosen, it will fetch data for all issue categories.

projectIdstring

The specific project ID to filter Issue Overview data to.

teamIdstring

Filter by one or more team IDs. Providing "null" will return all unassigned projects.